For the complete documentation index, see llms.txt. This page is also available as Markdown.

System

Базовые endpoints для проверки доступности API и получения OpenAPI-файла.

Публичный ping

Public health ping

get
Responses
200

API is reachable.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/ping
GET /api/v3/ping HTTP/1.1
Accept: */*
200

API is reachable.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

OpenAPI-файл

OpenAPI YAML contract

get
Responses
200

YAML document.

application/yaml
stringOptional
get/openapi.yaml
GET /api/v3/openapi.yaml HTTP/1.1
Accept: */*
200

YAML document.

text

Приватный ping

Authenticated health ping

get
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/ping
GET /api/v3/private/ping HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Последнее обновление

Это было полезно?